=== modified file 'debian/changelog'
--- debian/changelog	2014-03-10 12:19:01 +0000
+++ debian/changelog	2014-03-12 06:51:40 +0000
@@ -1,3 +1,10 @@
+util-linux (2.20.1-5.1ubuntu16) trusty; urgency=medium
+
+  * debian/fstrim-all: Check if device still exists, to avoid errors on
+    temporary devices. (side issue in LP #1278048)
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Mar 2014 06:51:40 +0100
+
 util-linux (2.20.1-5.1ubuntu15) trusty; urgency=medium
 
   * debian/fstrim-all: Whitelist OCZ, SanDisk, and Patriot too. (see LP

=== modified file 'debian/fstrim-all'
--- debian/fstrim-all	2014-03-10 12:18:08 +0000
+++ debian/fstrim-all	2014-03-12 06:51:40 +0000
@@ -31,6 +31,8 @@
     if contains "$OPTIONS" discard; then continue; fi
     # only consider supported file systems
     if ! contains "$SUPPORTED_FS" "$FSTYPE"; then continue; fi
+    # ignore temporary devices which already went away
+    [ -e "$DEV" ] || continue
 
     # did we see this already? we need to resolve symlinks
     # for/dev/disks/by-{label,uuid}, etc.; ignore if the device does not exist

